Skip to main content
Get Fields For New Erp Actor

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

ErpConnectionId, ErpActorType

GetFieldsForNewErpActor: Get the fields that must be filled out when creating a new ERP actor

ErpConnectionId
integer<int32>
ErpActorType
enum<string>
Available options:
Unknown,
Customer,
Supplier,
Partner,
Person,
Project,
Employee,
Sale

Response

OK

FieldKey
string

Internal key/name of the field. Used as the key in the ConnectionConfigField values when TestConnection is called.

Rank
integer<int32>

A way to set the order of the fields. Lowest value will be displayed first/over the fields with other values.

DisplayName
string

Localized field name – shown in the GUI

DisplayDescription
string

Tooltip for the field name.

FieldType
enum<string>

String, int, decimal, etc.

Available options:
Checkbox,
Text,
Password,
Integer,
Double,
List,
Date,
Label
ListName
string

MDO List provider name for list fields

DefaultValue
string

A default value for the field.

MaxLength
integer<int32>

Maximum length for strings, if set. 0 means no restriction. (Though sooner or later something will no doubt overflow if you pile on the gigabytes.)

Access
enum<string>

Access restrictions on the field

Available options:
Normal,
Mandatory,
ReadOnly

True if this field is displayed in search result

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.